# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('installing Openvpn')

    with disable_file_system_redirection():
        run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32,'certutil.exe'),makepath(basedir,'cert-drivers.crt')))

    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed(glob.glob('*.exe')[0],'/S',key='OpenVPN',min_version=versionpaquet,get_version=get_version_openvpn)
    remove_desktop_shortcut('OpenVPN GUI')

def get_version_openvpn(key):
    return key['version'].split('-')[0]


def update_package():

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    for line in wgets('https://openvpn.net/community-downloads/',proxies=proxies).splitlines():
        if 'win7.exe' in line.lower() and not 'win7.exe.asc' in line.lower() :
            link = line.split('"')[1]
            filename = link.split('/')[-1]
            vers = filename.split('-')[2]
            break

    for exe in glob.glob('*.exe'):
        if filename != exe:
            remove_file(exe)

    if not isfile(filename):
        wget(link,filename,proxies=proxies)

    get_file_properties(filename)

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = vers + '-0'
    pe.save_control_to_wapt(os.getcwd())
